webhooks
Webhook dell’organizzazione: registrazione dei webhook, sottoscrizioni agli eventi, firme, consegne e nuovi tentativi
Endpoint
- GET
/v1/webhooksElencare i webhook dell’organizzazione - POST
/v1/webhooksCreare un webhook - GET
/v1/webhooks/catalogElencare i tipi di evento - GET
/v1/webhooks/{webhook_id}Ottenere un webhook - DELETE
/v1/webhooks/{webhook_id}Eliminare un webhook - PATCH
/v1/webhooks/{webhook_id}Aggiornare un webhook - POST
/v1/webhooks/{webhook_id}/testInviare un evento di test - POST
/v1/webhooks/{webhook_id}/rotate-secretRuotare il segreto di firma - POST
/v1/webhooks/{webhook_id}/revoke-previous-secretRevocare il segreto precedente - POST
/v1/webhooks/{webhook_id}/resumeRiprendere un webhook - POST
/v1/webhooks/{webhook_id}/redeliverRipetere le consegne di un periodo - GET
/v1/webhooks/{webhook_id}/attemptsElencare i tentativi di consegna - GET
/v1/webhooks/{webhook_id}/deliveriesElencare le consegne di un webhook - GET
/v1/webhooks/{webhook_id}/deliveries/{delivery_id}Ottenere una consegna con i corpi e i tentativi - POST
/v1/webhooks/{webhook_id}/deliveries/{delivery_id}/redeliverConsegnare di nuovo un evento - GET
/v1/webhook-eventsElencare gli eventi - GET
/v1/webhook-events/{event_id}Ottenere un evento